summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2018-12-09 10:54:26 -0500
committerAnthony G. Basile <blueness@gentoo.org>2018-12-10 11:37:38 -0500
commit19fbcd73a4e3086fa6a2df853983c4066747a46d (patch)
treedebd8ff58c7c9e2991a7f0cc2b9b5fcc9b1255f0 /app-backup
parentdev-util/gn: restore missing headers to fix ARM build (diff)
downloadgentoo-19fbcd73a4e3086fa6a2df853983c4066747a46d.tar.gz
gentoo-19fbcd73a4e3086fa6a2df853983c4066747a46d.tar.bz2
gentoo-19fbcd73a4e3086fa6a2df853983c4066747a46d.zip
app-backup/borgbackup: version bump to 1.1.8
Signed-off-by: Anthony G. Basile <blueness@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/borgbackup/Manifest1
-rw-r--r--app-backup/borgbackup/borgbackup-1.1.8.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/app-backup/borgbackup/Manifest b/app-backup/borgbackup/Manifest
index b733fd51c71..d2d58d6d1d0 100644
--- a/app-backup/borgbackup/Manifest
+++ b/app-backup/borgbackup/Manifest
@@ -1,2 +1,3 @@
DIST borgbackup-1.1.6.tar.gz 3441523 BLAKE2B 13b1892774e857432a77d1f67d981046a0670b4ba2f3665502f7b729a211fc47e10a87feca308d5089c984cfe4665e7e70ca68bb9aa6e188893a0d088e84df93 SHA512 5741c48bdb70a26d40bd583f207460e35bb7dd560424889d37eb4d90ee96947457faf09bae0fa2b26b42ec71ef6eeaec1b770ba3257223a2637fcb55266e4a17
DIST borgbackup-1.1.7.tar.gz 3446832 BLAKE2B c4e2ce7c08f0df479d3333e5766ea070d0c1e18abc88fc8787e4212eff27e8e4505759f80f3bdda80d2b9a737241b907a41749edca9a6138eae2a5620913908d SHA512 586420b9cad7e731f2f1b8b05f3cd3dc606691c5a5ec307e887035d941ac5ac6d4c988783660969960a1221e4d9f2b865ee5558d4007ea7524632d0a50a8a402
+DIST borgbackup-1.1.8.tar.gz 3456058 BLAKE2B cad55216f92025418e1a427f4b578d6b7eafa03f6b3e9c4fccb148dd3856c4f6649928fb4227249c534add125f9b3a2a0b6ed808ae12c5e60a28f9df4fb0031a SHA512 1455e68bcedab8f35f9426dc73958c6a6565ad1f1cc274ce59d34a12e3a7bfa1d12fa2b8e8dd3e71824e1cd0927babf79f4e99d4e516454ed12dbd3970d0e921
diff --git a/app-backup/borgbackup/borgbackup-1.1.8.ebuild b/app-backup/borgbackup/borgbackup-1.1.8.ebuild
new file mode 100644
index 00000000000..15ee3092744
--- /dev/null
+++ b/app-backup/borgbackup/borgbackup-1.1.8.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/${PN}/borg.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Deduplicating backup program with compression and authenticated encryption"
+HOMEPAGE="https://borgbackup.readthedocs.io/"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="libressl"
+
+# Unfortunately we have a file conflict with app-office/borg, bug #580402
+RDEPEND="
+ !!app-office/borg
+ app-arch/lz4
+ dev-python/llfuse[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/pyzmq[${PYTHON_USEDEP}]
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+"
+
+DEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/cython[${PYTHON_USEDEP}]
+ ${RDEPEND}
+"
+
+python_prepare_all() {
+ # allow use of new (renamed) msgpack
+ sed -i "s|'msgpack-python.*',||g" setup.py || die
+ distutils-r1_python_prepare_all
+}